import React from 'react';
import type { SchemaType } from 'mongodb-schema';
import type { configureActions } from '../actions';
type FieldProps = {
    actions: ReturnType<typeof configureActions>;
    name: string;
    path: string[];
    types: SchemaType[];
    enableMaps: boolean;
};
export declare function shouldShowUnboundArrayInsight(schemaType: SchemaType | SchemaType[], thresholdLength?: number): boolean;
declare const _default: React.FunctionComponent<Omit<FieldProps, "enableMaps"> & Partial<Pick<FieldProps, "enableMaps">>>;
export default _default;
//# sourceMappingURL=field.d.ts.map