import type { AggregateOptions, Filter, Document } from 'mongodb';
import type { Schema } from 'mongodb-schema';
import type { DataService } from '../stores/store';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging';
export declare const analyzeSchema: (dataService: DataService, abortSignal: AbortSignal, ns: string, query: {
    query?: Filter<Document> | undefined;
    size?: number | undefined;
    fields?: Document | undefined;
} | undefined, aggregateOptions: AggregateOptions, { log, mongoLogId, debug }: LoggerAndTelemetry) => Promise<Schema | null>;
export declare function calculateSchemaDepth(schema: Schema): number;
export declare function schemaContainsGeoData(schema: Schema): boolean;
//# sourceMappingURL=schema-analysis.d.ts.map